> ## Documentation Index
> Fetch the complete documentation index at: https://holder.docs.fiskil.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Accounts

> Gets a list of accounts available to share data from for a customer ID. If any account is a joint account or
an organisation account the 'users' field must be populated with all related users of the energy
account e.g. joint account holders, secondary users, or nominated representatives. This is used to populate
the list of accounts available to share data from during consent.

_Note: This API has been deprecated. New integrations should implement the [Auth - Customer Accounts](/api-reference/cdr/auth-customer-accounts) API instead._




## OpenAPI

````yaml /openapi/cdr.yml get /v1/banking/customer/{customerId}/accounts
openapi: 3.0.3
info:
  description: Fiskil Data Holder as a Service (DHaaS) endpoints for the Energy sector
  title: Fiskil Data APIs
  version: 1.5.0
servers:
  - url: https://api.provider.fiskil.com
security:
  - bearerAuth: []
paths:
  /v1/banking/customer/{customerId}/accounts:
    get:
      tags:
        - Banking
        - Accounts
      summary: Get Accounts
      description: >
        Gets a list of accounts available to share data from for a customer ID.
        If any account is a joint account or

        an organisation account the 'users' field must be populated with all
        related users of the energy

        account e.g. joint account holders, secondary users, or nominated
        representatives. This is used to populate

        the list of accounts available to share data from during consent.


        _Note: This API has been deprecated. New integrations should implement
        the [Auth - Customer
        Accounts](/api-reference/cdr/auth-customer-accounts) API instead._
      operationId: listBankingAccounts
      parameters:
        - $ref: '#/components/parameters/customerId'
        - $ref: '#/components/parameters/productCategory'
        - $ref: '#/components/parameters/open-status'
        - $ref: '#/components/parameters/is-owned'
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/page-size'
      responses:
        '200':
          description: A list of all accounts belonging to the customer
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseBankingAccountListV2'
        '404':
          description: The customer ID in the request URL is invalid or does not exist
      deprecated: true
components:
  parameters:
    customerId:
      description: >-
        Unique ID of a customer. This ID must not change for the lifecycle of
        the customer
      explode: false
      in: path
      name: customerId
      required: true
      schema:
        type: string
      style: simple
    productCategory:
      description: >-
        Used to filter results on the productCategory field applicable to
        accounts. Any one of the valid values for this field can be supplied. If
        absent then all accounts returned.)
      explode: true
      in: query
      name: product-category
      required: false
      schema:
        enum:
          - BUSINESS_LOANS
          - CRED_AND_CHRG_CARDS
          - LEASES
          - MARGIN_LOANS
          - OVERDRAFTS
          - PERS_LOANS
          - REGULATED_TRUST_ACCOUNTS
          - RESIDENTIAL_MORTGAGES
          - TERM_DEPOSITS
          - TRADE_FINANCE
          - TRANS_AND_SAVINGS_ACCOUNTS
          - TRAVEL_CARDS
        type: string
      style: form
    open-status:
      description: >-
        Used to filter results according to open/closed status. Values can be
        OPEN, CLOSED or ALL. If absent then ALL is assumed
      explode: true
      in: query
      name: open-status
      required: false
      schema:
        default: ALL
        enum:
          - ALL
          - CLOSED
          - OPEN
        type: string
      style: form
    is-owned:
      description: >-
        Filters accounts based on whether they are owned by the authorised
        customer.  True for owned accounts, false for unowned accounts and
        absent for all accounts
      explode: true
      in: query
      name: is-owned
      required: false
      schema:
        type: boolean
      style: form
    page:
      description: Page of results to request (standard pagination)
      explode: true
      in: query
      name: page
      required: false
      schema:
        type: integer
      style: form
      x-cds-type: PositiveInteger
    page-size:
      description: Page size to request.  Default is 25 (standard pagination)
      explode: true
      in: query
      name: page-size
      required: false
      schema:
        type: integer
      style: form
      x-cds-type: PositiveInteger
  schemas:
    ResponseBankingAccountListV2:
      example:
        data:
          accounts:
            - accountId: 412b5d4b-5de6-44b2-ad7d-ae92479d7322
              creationDate: '2025-10-01T00:00:00.000Z'
              displayName: Savings Account
              nickname: Beach Holiday
              openStatus: OPEN
              isOwned: true
              accountOwnership: ONE_PARTY
              maskedNumber: xxxxxxxx1234
              productCategory: TRANS_AND_SAVINGS_ACCOUNTS
              productName: Consumer Saver
              complexAccountType: INDIVIDUAL
              users:
                - id: 1
                  email: hello@example.com
                  isAccountHolder: true
                - id: 2
                  email: secondary.user@example.com
                  isAccountHolder: false
              bsb: 111222
              accountNumber: 44444111122
              bundleName: Basic Account Bundle
              depositRate: 0.045
              depositRates:
                - depositRateType: VARIABLE
                  rate: 0.045
                  calculationFrequency: P1D
                  applicationFrequency: P1M
                  applicationType: PERIODIC
                  additionalInfo: The default interest rate will be applied on your balance
                  applicabilityConditions:
                    - rateApplicablityType: MIN_DEPOSITS
                      additionalValue: '5'
                      additionalInfo: You must make 5 deposits to quality for this rate
                  tiers:
                    - name: Bonus Interest on balances up to $100,000.00
                      unitOfMeasure: DOLLAR
                      minimumValue: 0
                      maximumValue: 100000
                      rateApplicationMethod: PER_TIER
                - depositRateType: VARIABLE
                  rate: 0.005
                  calculationFrequency: P1D
                  applicationFrequency: P1M
                  additionalInfo: The base rate applies to balances over $100,000.00
                  tiers:
                    - name: Base rate on balances over 100,000.00
                      unitOfMeasure: DOLLAR
                      minimumValue: 100000
                      rateApplicationMethod: PER_TIER
              lendingRates:
                lendingRateType: VARIABLE
                rate: 0.2
                comparisonRate: 0.2
                calculationFrequency: P1D
                applicationFrequency: P1M
                applicationType: PERIODIC
                additionalInfo: Overdrafts accumulate interest at a rate of 20% p/a
                repaymentType: PRINCIPAL_AND_INTEREST
                loanPurpose: OTHER
              features:
                - featureType: NPP_PAYID
                  additionalInfo: You can register your email or phone number for PayID
                  isActivated: ACTIVATED
              fees:
                - name: Account keeping fee
                  feeType: PERIODIC
                  feeMethodUType: fixedAmount
                  fixedAmount:
                    amount: '0.20'
                  additionalValue: P1M
              addresses:
                - addressUType: simple
                  simple:
                    mailingName: P Sherman
                    addressLine1: 42 Wallaby Way
                    city: Sydney
                    postcode: 2000
                    state: NSW
                    country: AUS
        links:
          first: page=1&page-size=25&oldest-date=2023-04-24
          last: page=4&page-size=25&oldest-date=2023-04-24
          next: page=3&page-size=25&oldest-date=2023-04-24
          prev: page=1&page-size=25&oldest-date=2023-04-24
        meta:
          totalRecords: 1
          totalPages: 1
      properties:
        data:
          $ref: '#/components/schemas/ResponseBankingAccountListV2_data'
        links:
          $ref: '#/components/schemas/LinksPaginated'
        meta:
          $ref: '#/components/schemas/MetaPaginated'
      required:
        - data
        - links
        - meta
      type: object
    ResponseBankingAccountListV2_data:
      properties:
        accounts:
          description: >-
            The list of accounts returned. If the filter results in an empty set
            then this array may have no records
          items:
            allOf:
              - $ref: '#/components/schemas/BankingAccountDetailV4'
              - properties:
                  complexAccountType:
                    description: >-
                      The type of account for the purposes of handling complex
                      account interactions. Valid values are INDIVIDUAL, JOINT
                      and ORGANIZATION.
                    enum:
                      - INDIVIDUAL
                      - JOINT
                      - ORGANIZATION
                    type: string
                  users:
                    description: >-
                      The array of all related users of the bank account e.g.
                      joint account holders, secondary users, or nominated
                      representatives.
                    type: array
                    items:
                      $ref: '#/components/schemas/RelatedUsers'
                    example:
                      - id: user123
                        email: user123@example.com
                        isAccountHolder: true
                      - id: user456
                        email: user456@example.com
                        isAccountHolder: false
                required:
                  - complexAccountType
                  - users
      required:
        - accounts
      type: object
    LinksPaginated:
      description: >-
        URL Query parameters to obtain different pages of the response. Fiskil
        will combine these with the rest of the request URL to build full link
        URLs in the final response.
      example:
        first: page=1&page-size=25&oldest-date=2023-04-24
        last: page=4&page-size=25&oldest-date=2023-04-24
        next: page=3&page-size=25&oldest-date=2023-04-24
        prev: page=1&page-size=25&oldest-date=2023-04-24
      properties:
        first:
          description: >-
            A url-encoded query for the first page of this result set. Mandatory
            if this response is not the first page.
          type: string
        prev:
          description: >-
            A url-encoded query for the previous page. Mandatory if this
            response is not the first page
          type: string
        next:
          description: >-
            A url-encoded query for the next page. Mandatory if this response is
            not the last page.
          type: string
        last:
          description: >-
            A url-encoded query for the last page. Mandatory if this response is
            not the last page.
          type: string
      type: object
    MetaPaginated:
      example:
        totalRecords: 150
        totalPages: 6
      properties:
        totalRecords:
          description: >-
            The total number of records in the full set. See
            [pagination](#pagination).
          type: integer
          x-cds-type: NaturalNumber
        totalPages:
          description: >-
            The total number of pages in the full set. See
            [pagination](#pagination).
          type: integer
          x-cds-type: NaturalNumber
      required:
        - totalPages
        - totalRecords
      type: object
    BankingAccountDetailV4:
      allOf:
        - $ref: '#/components/schemas/BankingAccountV2'
        - $ref: '#/components/schemas/BankingAccountDetailV4_allOf'
    RelatedUsers:
      properties:
        id:
          type: string
          description: The unique identifier of the user
        email:
          type: string
          description: The email address of the user
        isAccountHolder:
          type: boolean
          description: Indicates if the user is the account holder
      required:
        - id
        - email
        - isAccountHolder
    BankingAccountV2:
      properties:
        accountId:
          description: >-
            A unique ID of the account adhering to the standards for ID
            permanence
          type: string
        creationDate:
          description: >-
            Date that the account was created in the format YYYY-MM-DD (if
            known)
          type: string
        displayName:
          description: >-
            The display name of the account as defined by the bank. This should
            not incorporate account numbers or PANs. If it does the values
            should be masked according to the rules of the MaskedAccountString
            common type.
          type: string
        nickname:
          description: A customer supplied nick name for the account
          type: string
        openStatus:
          default: OPEN
          description: >-
            Open or closed status for the account. If not present then OPEN is
            assumed
          enum:
            - CLOSED
            - OPEN
          type: string
        isOwned:
          default: true
          description: >-
            Flag indicating that the customer associated with the authorisation
            is an owner of the account. Does not indicate sole ownership,
            however. If not present then 'true' is assumed
          type: boolean
          x-cds-type: Boolean
        accountOwnership:
          description: >-
            Value indicating the number of customers that have ownership of the
            account, according to the data holder's definition of account
            ownership. Does not indicate that all account owners are eligible
            consumers
          enum:
            - UNKNOWN
            - ONE_PARTY
            - TWO_PARTY
            - MANY_PARTY
            - OTHER
          type: string
        maskedNumber:
          description: >-
            A masked version of the account. Whether BSB/Account Number, Credit
            Card PAN or another number
          type: string
          x-cds-type: MaskedAccountString
        productCategory:
          $ref: '#/components/schemas/BankingProductCategory'
        productName:
          description: >-
            The unique identifier of the account as defined by the data holder
            (akin to model number for the account)
          type: string
      required:
        - accountId
        - accountOwnership
        - displayName
        - maskedNumber
        - productCategory
        - productName
      type: object
    BankingAccountDetailV4_allOf:
      properties:
        bsb:
          description: >-
            The unmasked BSB for the account. Is expected to be formatted as
            digits only with leading zeros included and no punctuation or spaces
          type: string
        accountNumber:
          description: >-
            The unmasked account number for the account. Should not be supplied
            if the account number is a PAN requiring PCI compliance. Is expected
            to be formatted as digits only with leading zeros included and no
            punctuation or spaces
          type: string
        bundleName:
          description: >-
            Optional field to indicate if this account is part of a bundle that
            is providing additional benefit to the customer
          type: string
        specificAccountUType:
          description: The type of structure to present account specific fields.
          enum:
            - creditCard
            - loan
            - termDeposit
          type: string
        termDeposit:
          description: >-
            Details of a term deposit account. Required if
            `specificAccountUType` is `termDeposit`
          items:
            $ref: '#/components/schemas/BankingTermDepositAccount'
          type: array
        creditCard:
          $ref: '#/components/schemas/BankingCreditCardAccount'
        loan:
          $ref: '#/components/schemas/BankingLoanAccountV2'
        depositRate:
          description: >-
            current rate to calculate interest earned being applied to deposit
            balances as it stands at the time of the API call
          type: string
          x-cds-type: RateString
        lendingRate:
          description: >-
            The current rate to calculate interest payable being applied to
            lending balances as it stands at the time of the API call
          type: string
          x-cds-type: RateString
        depositRates:
          description: >-
            Fully described deposit rates for this account based on the
            equivalent structure in Product Reference
          items:
            $ref: '#/components/schemas/BankingProductDepositRate'
          type: array
        lendingRates:
          description: >-
            Fully described lending rates for this account based on the
            equivalent structure in Product Reference
          items:
            $ref: '#/components/schemas/BankingProductLendingRateV3'
          type: array
        features:
          description: >-
            Array of features of the account based on the equivalent structure
            in Product Reference with the following additional field
          items:
            allOf:
              - $ref: '#/components/schemas/BankingProductFeatureV2'
              - properties:
                  isActivated:
                    default: UNKNOWN
                    description: >
                      - `ACTIVATED` if the feature has been activated by the
                      customer or is a standard feature of the product

                      - `NOT_ACTIVATED` if the feature is not activated but is
                      available for activation

                      - `UNKNOWN` or absent if the activation state is unknown.
                    enum:
                      - ACTIVATED
                      - NOT_ACTIVATED
                      - UNKNOWN
                    type: string
                type: object
            type: object
          type: array
        fees:
          description: >-
            Fees and charges applicable to the account based on the equivalent
            structure in Product Reference
          items:
            $ref: '#/components/schemas/BankingProductFee'
          type: array
        addresses:
          description: The addresses for the account to be used for correspondence
          items:
            $ref: '#/components/schemas/CommonPhysicalAddress'
          type: array
      type: object
      x-conditional:
        - termDeposit
        - creditCard
        - loan
    BankingProductCategory:
      description: The category to which a product or account belongs.
      enum:
        - BUSINESS_LOANS
        - CRED_AND_CHRG_CARDS
        - LEASES
        - MARGIN_LOANS
        - OVERDRAFTS
        - PERS_LOANS
        - REGULATED_TRUST_ACCOUNTS
        - RESIDENTIAL_MORTGAGES
        - TERM_DEPOSITS
        - TRADE_FINANCE
        - TRANS_AND_SAVINGS_ACCOUNTS
        - TRAVEL_CARDS
      type: string
    BankingTermDepositAccount:
      properties:
        lodgementDate:
          description: The lodgement date of the original deposit
          type: string
          x-cds-type: DateString
        maturityDate:
          description: Maturity date for the term deposit
          type: string
          x-cds-type: DateString
        maturityAmount:
          description: >-
            Amount to be paid upon maturity. If absent it implies the amount to
            paid is variable and cannot currently be calculated
          type: string
          x-cds-type: AmountString
        maturityCurrency:
          description: If absent assumes AUD
          type: string
          x-cds-type: CurrencyString
        maturityInstructions:
          description: >-
            Current instructions on action to be taken at maturity. This
            includes default actions that may be specified in the terms and
            conditions for the product e.g. roll-over to the same term and
            frequency of interest payments
          enum:
            - HOLD_ON_MATURITY
            - PAID_OUT_AT_MATURITY
            - ROLLED_OVER
          type: string
      required:
        - lodgementDate
        - maturityDate
        - maturityInstructions
      type: object
    BankingCreditCardAccount:
      description: >-
        Details of a credit card account. Required if `specificAccountUType` is
        `creditCard`
      properties:
        minPaymentAmount:
          description: The minimum payment amount due for the next card payment
          type: string
          x-cds-type: AmountString
        paymentDueAmount:
          description: The amount due for the next card payment
          type: string
          x-cds-type: AmountString
        paymentCurrency:
          description: If absent assumes AUD
          type: string
          x-cds-type: CurrencyString
        paymentDueDate:
          description: Date that the next payment for the card is due
          type: string
          x-cds-type: DateString
      required:
        - minPaymentAmount
        - paymentDueAmount
        - paymentDueDate
      type: object
    BankingLoanAccountV2:
      description: Details of a loan account. Required if `specificAccountUType` is `loan`
      properties:
        originalStartDate:
          description: Optional original start date for the loan
          type: string
          x-cds-type: DateString
        originalLoanAmount:
          description: Optional original loan value
          type: string
          x-cds-type: AmountString
        originalLoanCurrency:
          description: If absent assumes AUD
          type: string
          x-cds-type: CurrencyString
        loanEndDate:
          description: Date that the loan is due to be repaid in full
          type: string
          x-cds-type: DateString
        nextInstalmentDate:
          description: Next date that an instalment is required
          type: string
          x-cds-type: DateString
        minInstalmentAmount:
          description: Minimum amount of next instalment
          type: string
          x-cds-type: AmountString
        minInstalmentCurrency:
          description: If absent assumes AUD
          type: string
          x-cds-type: CurrencyString
        maxRedraw:
          description: >-
            Maximum amount of funds that can be redrawn. If not present redraw
            is not available even if the feature exists for the account
          type: string
          x-cds-type: AmountString
        maxRedrawCurrency:
          description: If absent assumes AUD
          type: string
          x-cds-type: CurrencyString
        minRedraw:
          description: Minimum redraw amount
          type: string
          x-cds-type: AmountString
        minRedrawCurrency:
          description: If absent assumes AUD
          type: string
          x-cds-type: CurrencyString
        offsetAccountEnabled:
          description: >-
            Set to true if one or more offset accounts are configured for this
            loan account
          type: boolean
          x-cds-type: Boolean
        offsetAccountIds:
          description: >-
            The accountIDs of the configured offset accounts attached to this
            loan. Only offset accounts that can be accessed under the current
            authorisation should be included. It is expected behaviour that
            offsetAccountEnabled is set to true but the offsetAccountIds field
            is absent or empty. This represents a situation where an offset
            account exists but details can not be accessed under the current
            authorisation
          items:
            type: string
            x-cds-type: ASCIIString
          type: array
        repaymentType:
          default: PRINCIPAL_AND_INTEREST
          description: Options in place for repayments.
          enum:
            - INTEREST_ONLY
            - PRINCIPAL_AND_INTEREST
            - OTHER
            - UNCONSTRAINED
          type: string
        repaymentFrequency:
          description: >-
            The expected or required repayment frequency. Formatted according to
            [ISO 8601
            Durations](https://en.wikipedia.org/wiki/ISO_8601#Durations)
            (excludes recurrence syntax)
          type: string
          x-cds-type: ExternalRef
      type: object
      required:
        - repaymentType
    BankingProductDepositRate:
      properties:
        depositRateType:
          description: >-
            The type of rate (base, bonus, etc). See the next section for an
            overview of valid values and their meaning
          enum:
            - BONUS
            - BUNDLE_BONUS
            - FIXED
            - FLOATING
            - INTRODUCTORY
            - MARKET_LINKED
            - VARIABLE
          type: string
        rate:
          description: The rate to be applied
          type: string
          x-cds-type: RateString
        applicabilityConditions:
          $ref: '#/components/schemas/BankingProductRateConditionV2'
          description: Applicability conditions for the rate.
          type: array
        calculationFrequency:
          description: >-
            The period after which the rate is applied to the balance to
            calculate the amount due for the period. Calculation of the amount
            is often daily (as balances may change) but accumulated until the
            total amount is 'applied' to the account (see applicationFrequency).
            Formatted according to [ISO 8601
            Durations](https://en.wikipedia.org/wiki/ISO_8601#Durations)
            (excludes recurrence syntax)
          type: string
          x-cds-type: ExternalRef
        applicationType:
          description: The type of approach used to apply the rate to the account.
          enum:
            - MATURITY
            - PERIODIC
            - UPFRONT
          example: PERIODIC
          type: string
        applicationFrequency:
          description: >-
            The period after which the calculated amount(s) (see
            calculationFrequency) are 'applied' (i.e. debited or credited) to
            the account. Formatted according to [ISO 8601
            Durations](https://en.wikipedia.org/wiki/ISO_8601#Durations)
            (excludes recurrence syntax). Mandatory if `applicationType` is
            `PERIODIC`.
          type: string
          x-cds-type: ExternalRef
        tiers:
          description: Rate tiers applicable for this rate
          items:
            $ref: '#/components/schemas/BankingProductRateTierV4'
          type: array
        additionalValue:
          description: >-
            Generic field containing additional information relevant to the
            [depositRateType](#tocSproductdepositratetypedoc) specified. Whether
            mandatory or not is dependent on the value of
            [depositRateType](#tocSproductdepositratetypedoc)
          type: string
        additionalInfo:
          description: Display text providing more information on the rate
          type: string
        additionalInfoUri:
          description: Link to a web page with more information on this rate
          type: string
          x-cds-type: URIString
      required:
        - depositRateType
        - rate
        - applicationType
      type: object
      x-conditional:
        - additionalValue
    BankingProductLendingRateV3:
      properties:
        lendingRateType:
          description: >-
            The type of rate (fixed, variable, etc). See the next section for an
            overview of valid values and their meaning
          enum:
            - BUNDLE_DISCOUNT_FIXED
            - BALANCE_TRANSFER
            - BUNDLE_DISCOUNT_VARIABLE
            - CASH_ADVANCE
            - DISCOUNT
            - FIXED
            - FLOATING
            - INTRODUCTORY
            - MARKET_LINKED
            - PENALTY
            - PURCHASE
            - VARIABLE
          type: string
        rate:
          description: The rate to be applied
          type: string
          x-cds-type: RateString
        applicationType:
          description: The type of approach used to apply the rate to the account.
          type: string
          enum:
            - MATURITY
            - PERIODIC
            - UPFRONT
        applicabilityConditions:
          $ref: '#/components/schemas/BankingProductRateConditionV2'
          description: Applicability conditions for the rate.
          type: array
        comparisonRate:
          description: A comparison rate equivalent for this rate
          type: string
          x-cds-type: RateString
        calculationFrequency:
          description: >-
            The period after which the rate is applied to the balance to
            calculate the amount due for the period. Calculation of the amount
            is often daily (as balances may change) but accumulated until the
            total amount is 'applied' to the account (see applicationFrequency).
            Formatted according to [ISO 8601
            Durations](https://en.wikipedia.org/wiki/ISO_8601#Durations)
            (excludes recurrence syntax)
          type: string
          x-cds-type: ExternalRef
        applicationFrequency:
          description: >-
            The period after which the calculated amount(s) (see
            calculationFrequency) are 'applied' (i.e. debited or credited) to
            the account. Formatted according to [ISO 8601
            Durations](https://en.wikipedia.org/wiki/ISO_8601#Durations)
            (excludes recurrence syntax)
          type: string
          x-cds-type: ExternalRef
        interestPaymentDue:
          description: >-
            When loan payments are due to be paid within each period. The
            investment benefit of earlier payments affect the rate that can be
            offered
          enum:
            - IN_ADVANCE
            - IN_ARREARS
          type: string
        repaymentType:
          description: >-
            Options in place for repayments. If absent, the lending rate is
            applicable to all repayment types
          enum:
            - INTEREST_ONLY
            - PRINCIPAL_AND_INTEREST
            - OTHER
            - UNCONSTRAINED
          type: string
        loanPurpose:
          description: >-
            The reason for taking out the loan. If absent, the lending rate is
            applicable to all loan purposes
          enum:
            - INVESTMENT
            - OWNER_OCCUPIED
            - OTHER
            - UNCONSTRAINED
          type: string
        tiers:
          description: Rate tiers applicable for this rate
          items:
            $ref: '#/components/schemas/BankingProductRateTierV4'
          type: array
        additionalValue:
          description: >-
            Generic field containing additional information relevant to the
            [lendingRateType](#tocSproductlendingratetypedoc) specified. Whether
            mandatory or not is dependent on the value of
            [lendingRateType](#tocSproductlendingratetypedoc)
          type: string
        additionalInfo:
          description: Display text providing more information on the rate.
          type: string
        additionalInfoUri:
          description: Link to a web page with more information on this rate
          type: string
          x-cds-type: URIString
      required:
        - lendingRateType
        - rate
        - repaymentType
        - loanPurpose
      type: object
      x-conditional:
        - additionalValue
    BankingProductFeatureV2:
      properties:
        featureType:
          description: The type of feature described
          enum:
            - ADDITIONAL_CARDS
            - BALANCE_TRANSFERS
            - BILL_PAYMENT
            - BONUS_REWARDS
            - CARD_ACCESS
            - CASHBACK_OFFER
            - COMPLEMENTARY_PRODUCT_DISCOUNTS
            - DIGITAL_BANKING
            - DIGITAL_WALLET
            - DONATE_INTEREST
            - EXTRA_REPAYMENTS
            - FRAUD_PROTECTION
            - FREE_TXNS
            - FREE_TXNS_ALLOWANCE
            - FUNDS_AVAILABLE_AFTER
            - GUARANTOR
            - INSURANCE
            - INSTALMENT_PLAN
            - INTEREST_FREE
            - INTEREST_FREE_TRANSFERS
            - LOYALTY_PROGRAM
            - NOTIFICATIONS
            - NPP_ENABLED
            - NPP_PAYID
            - OFFSET
            - OTHER
            - OVERDRAFT
            - REDRAW
            - RELATIONSHIP_MANAGEMENT
            - UNLIMITED_TXNS
          type: string
        additionalValue:
          description: >-
            Generic field containing additional information relevant to the
            [featureType](#tocSproductfeaturetypedoc) specified. Whether
            mandatory or not is dependent on the value of the
            [featureType.](#tocSproductfeaturetypedoc)
          type: string
        additionalInfo:
          description: >-
            Display text providing more information on the feature. Mandatory if
            the [feature type](#tocSproductfeaturetypedoc) is set to OTHER
          type: string
        additionalInfoUri:
          description: Link to a web page with more information on this feature
          type: string
          x-cds-type: URIString
      required:
        - featureType
      type: object
      x-conditional:
        - additionalValue
        - additionalInfo
    BankingProductFee:
      properties:
        name:
          description: Name of the fee
          type: string
        feeType:
          description: The type of fee
          enum:
            - CASH_ADVANCE
            - DEPOSIT
            - DISHONOUR
            - ENQUIRY
            - EVENT
            - EXIT
            - LATE_PAYMENT
            - OTHER
            - PAYMENT
            - PERIODIC
            - PURCHASE
            - REPLACEMENT
            - TRANSACTION
            - UPFRONT
            - UPFRONT_PER_PLAN
            - VARIATION
            - WITHDRAWAL
          example: CASH_ADVANCE
          type: string
        feeMethodUType:
          description: Reference to the applicable fee charging method structure.
          enum:
            - fixedAmount
            - rateBased
            - variable
          type: string
        fixedAmount:
          allOf:
            - $ref: '#/components/schemas/BankingFeeAmount'
          description: >-
            Mandatory if the `feeMethodUType` value is `fixedAmount`. Where the
            fee is a specific amount.
        rateBased:
          allOf:
            - $ref: '#/components/schemas/BankingFeeRate'
          description: >-
            Mandatory if the `feeMethodUType` value is `rateBased`. Where the
            fee is based on a type of rate.
        variable:
          allOf:
            - $ref: '#/components/schemas/BankingFeeRange'
          description: >-
            Mandatory if the `feeMethodUType` value is `variable`. Where the
            amount or rate may not be known until the fee is incurred.
        feeCap:
          description: >-
            The cap amount if multiple occurrences of the fee are capped to a
            limit.
          type: string
          x-cds-type: AmountString
        feeCapPeriod:
          description: >-
            Specifies a duration over which multiple occurrences of the fee will
            be capped. Formatted according to [ISO 8601
            Durations](https://en.wikipedia.org/wiki/ISO_8601#Durations)
            (excludes recurrence syntax).
          type: string
        currency:
          description: The currency the fee will be charged in. Assumes AUD if absent
          type: string
          x-cds-type: CurrencyString
        additionalValue:
          description: >-
            Generic field containing additional information relevant to the
            [feeType](#tocSproductfeetypedoc) specified. Whether mandatory or
            not is dependent on the value of [feeType](#tocSproductfeetypedoc)
          type: string
        additionalInfo:
          description: Display text providing more information on the fee
          type: string
        additionalInfoUri:
          description: Link to a web page with more information on this fee
          type: string
          x-cds-type: URIString
        discounts:
          description: An optional list of discounts to this fee that may be available
          items:
            $ref: '#/components/schemas/BankingProductDiscount'
          type: array
      required:
        - feeType
        - feeMethodUType
        - name
      type: object
      x-conditional:
        - additionalValue
        - amount
        - balanceRate
        - transactionRate
        - accruedRate
    CommonPhysicalAddress:
      properties:
        addressUType:
          description: The type of address object present
          enum:
            - paf
            - simple
          type: string
        simple:
          $ref: '#/components/schemas/CommonSimpleAddress'
        paf:
          $ref: '#/components/schemas/CommonPAFAddress'
      required:
        - addressUType
      type: object
      x-conditional:
        - simple
        - paf
    BankingProductRateConditionV2:
      description: Defines a condition for the applicability of a rate.
      properties:
        rateApplicabilityType:
          description: >-
            Category of applicability condition associated with the rate. For
            more information refer to [Rate and Tier Applicability
            Types](#tocSbankingproductrateconditiondoc).
          enum:
            - MIN_DEPOSITS
            - MIN_DEPOSIT_AMOUNT
            - DEPOSIT_BALANCE_INCREASED
            - EXISTING_CUST
            - NEW_ACCOUNTS
            - NEW_CUSTOMER
            - NEW_CUSTOMER_TO_GROUP
            - ONLINE_ONLY
            - OTHER
            - MIN_PURCHASES
            - MAX_WITHDRAWALS
            - MAX_WITHDRAWAL_AMOUNT
          example: NEW_CUSTOMER
          type: string
        additionalValue:
          description: >-
            Generic field containing additional information relevant to the
            _rateApplicabilityType_ specified. Whether mandatory or not is
            dependent on the value of
            [_rateApplicabilityType_](#tocSbankingproductrateconditiondoc).
          type: string
        additionalInfo:
          description: >-
            Display text providing more information on the condition. Mandatory
            if the
            [_rateApplicabilityType_](#tocSbankingproductrateconditiondoc) value
            is `OTHER`.
          type: string
        additionalInfoUri:
          description: Link to a web page with more information on this condition.
          type: string
          x-cds-type: URIString
      required:
        - rateApplicabilityType
      type: object
    BankingProductRateTierV4:
      description: Defines the criteria and conditions for which a rate applies
      properties:
        name:
          description: A display name for the tier
          type: string
        unitOfMeasure:
          description: >-
            The unit of measure that applies to the minimumValue and
            maximumValue values e.g. a **DOLLAR** amount. **PERCENT** (in the
            case of loan-to-value ratio or LVR). Tier term period representing a
            discrete number of **MONTH**'s or **DAY**'s (in the case of term
            deposit tiers)
          enum:
            - DAY
            - DOLLAR
            - MONTH
            - PERCENT
          type: string
        minimumValue:
          description: >-
            The number of unitOfMeasure units that form the lower bound of the
            tier. The tier should be inclusive of this value
          type: string
        maximumValue:
          description: >-
            The number of unitOfMeasure units that form the upper bound of the
            tier or band. For a tier with a discrete value (as opposed to a
            range of values e.g. 1 month) this must be the same as minimumValue.
            Where this is the same as the minimumValue value of the next-higher
            tier the referenced tier should be exclusive of this value. For
            example a term deposit of 2 months falls into the upper tier of the
            following tiers: (1 – 2 months, 2 – 3 months). If absent the tier's
            range has no upper bound.
          type: string
        rateApplicationMethod:
          description: >-
            The method used to calculate the amount to be applied using one or
            more tiers. A single rate may be applied to the entire balance or
            each applicable tier rate is applied to the portion of the balance
            that falls into that tier (referred to as 'bands' or 'steps')
          enum:
            - PER_TIER
            - WHOLE_BALANCE
          type: string
        applicabilityConditions:
          $ref: '#/components/schemas/BankingProductRateConditionV2'
          description: Applicability conditions for the rate.
          type: array
        additionalInfo:
          description: Display text providing more information on the rate tier.
          type: string
        additionalInfoUri:
          description: Link to a web page with more information on this rate tier
          type: string
          x-cds-type: URIString
      required:
        - minimumValue
        - name
        - unitOfMeasure
      type: object
    BankingFeeAmount:
      properties:
        amount:
          description: The specific amount charged for the fee each time it is incurred.
          type: string
          x-cds-type: AmountString
      required:
        - amount
      type: object
    BankingFeeRate:
      properties:
        rateType:
          description: |
            Type of fee rate calculation.
              - `BALANCE` A fee rate based on a balance
              - `INTEREST_ACCRUED` A fee rate based on interest accrued
              - `TRANSACTION` A fee rate based on a transaction.
          enum:
            - BALANCE
            - INTEREST_ACCRUED
            - TRANSACTION
          type: string
        rate:
          description: The fee rate calculated according to the _rateType_.
          type: string
          x-cds-type: RateString
        accrualFrequency:
          description: >-
            The indicative frequency with which the fee is calculated on the
            account if applicable. Formatted according to [ISO 8601
            Durations](https://en.wikipedia.org/wiki/ISO_8601#Durations)
            (excludes recurrence syntax).
          type: string
          x-cds-type: ExternalRef
        amountRange:
          $ref: '#/components/schemas/BankingFeeRange'
      required:
        - rate
        - rateType
      type: object
      x-conditional:
        - balanceRate
        - transactionRate
        - accruedRate
    BankingFeeRange:
      description: >-
        A minimum or maximum fee amount where a specific fixed amount is not
        known until the fee is incurred.
      properties:
        feeMinimum:
          description: The minimum fee that will be charged per occurrence.
          type: string
          x-cds-type: AmountString
        feeMaximum:
          description: The maximum fee that will be charged per occurrence.
          type: string
          x-cds-type: AmountString
      type: object
    BankingProductDiscount:
      properties:
        description:
          description: Description of the discount
          type: string
        discountType:
          description: >-
            The type of discount. See the next section for an overview of valid
            values and their meaning
          enum:
            - BALANCE
            - DEPOSITS
            - ELIGIBILITY_ONLY
            - FEE_CAP
            - PAYMENTS
          type: string
        discountMethodUType:
          description: Reference to the applicable fee discount method structure.
          enum:
            - fixedAmount
            - rateBased
          type: string
        fixedAmount:
          allOf:
            - $ref: '#/components/schemas/BankingFeeDiscountAmount'
          description: >-
            Mandatory if the `discountMethodUType` value is `fixedAmount`. Where
            the discount is a specific amount.
        rateBased:
          allOf:
            - $ref: '#/components/schemas/BankingFeeDiscountRate'
          description: >-
            Mandatory if the `discountMethodUType` value is `rateBased`. Where
            the discount is based on a type of rate. Unless noted in
            `additionalInfo`, assumes the application and calculation frequency
            are the same as the corresponding fee.
        additionalValue:
          description: >-
            Generic field containing additional information relevant to the
            [discountType](#tocSproductdiscounttypedoc) specified. Whether
            mandatory or not is dependent on the value of
            [discountType](#tocSproductdiscounttypedoc)
          type: string
        additionalInfo:
          description: Display text providing more information on the discount
          type: string
        additionalInfoUri:
          description: Link to a web page with more information on this discount
          type: string
          x-cds-type: URIString
        eligibility:
          description: >-
            Eligibility constraints that apply to this discount. Mandatory if
            ``discountType`` is ``ELIGIBILITY_ONLY``.
          items:
            $ref: '#/components/schemas/BankingProductDiscountEligibility'
          type: array
      required:
        - description
        - discountType
        - discountMethodUType
      type: object
      x-conditional:
        - accruedRate
        - additionalValue
        - amount
        - balanceRate
        - eligibility
        - feeRate
        - transactionRate
    CommonSimpleAddress:
      properties:
        mailingName:
          description: >-
            Name of the individual or business formatted for inclusion in an
            address used for physical mail
          type: string
        addressLine1:
          description: First line of the standard address object
          type: string
        addressLine2:
          description: Second line of the standard address object
          type: string
        addressLine3:
          description: Third line of the standard address object
          type: string
        postcode:
          description: Mandatory for Australian addresses
          type: string
        city:
          description: Name of the city or locality
          type: string
        state:
          description: >-
            Free text if the country is not Australia. If country is Australia
            then must be one of the values defined by the [State Type
            Abbreviation](https://auspost.com.au/content/dam/auspost_corp/media/documents/australia-post-data-guide.pdf)
            in the PAF file format. NSW, QLD, VIC, NT, WA, SA, TAS, ACT, AAT
          type: string
        country:
          default: AUS
          description: >-
            A valid [ISO 3166
            Alpha-3](https://www.iso.org/iso-3166-country-codes.html) country
            code. Australia (AUS) is assumed if country is not present.
          type: string
          x-cds-type: ExternalRef
      required:
        - addressLine1
        - city
        - state
      type: object
      x-conditional:
        - postcode
    CommonPAFAddress:
      description: >-
        Australian address formatted according to the file format defined by the
        [PAF file
        format](https://auspost.com.au/content/dam/auspost_corp/media/documents/australia-post-data-guide.pdf)
      properties:
        dpid:
          description: >-
            Unique identifier for an address as defined by Australia Post.  Also
            known as Delivery Point Identifier
          type: string
        thoroughfareNumber1:
          description: >-
            Thoroughfare number for a property (first number in a property
            ranged address)
          type: integer
          x-cds-type: PositiveInteger
        thoroughfareNumber1Suffix:
          description: >-
            Suffix for the thoroughfare number. Only relevant is
            thoroughfareNumber1 is populated
          type: string
        thoroughfareNumber2:
          description: >-
            Second thoroughfare number (only used if the property has a ranged
            address eg 23-25)
          type: integer
          x-cds-type: PositiveInteger
        thoroughfareNumber2Suffix:
          description: >-
            Suffix for the second thoroughfare number. Only relevant is
            thoroughfareNumber2 is populated
          type: string
        flatUnitType:
          description: Type of flat or unit for the address
          type: string
        flatUnitNumber:
          description: Unit number (including suffix, if applicable)
          type: string
        floorLevelType:
          description: Type of floor or level for the address
          type: string
        floorLevelNumber:
          description: Floor or level number (including alpha characters)
          type: string
        lotNumber:
          description: Allotment number for the address
          type: string
        buildingName1:
          description: Building/Property name 1
          type: string
        buildingName2:
          description: Building/Property name 2
          type: string
        streetName:
          description: The name of the street
          type: string
        streetType:
          description: >-
            The street type. Valid enumeration defined by Australia Post PAF
            code file
          type: string
        streetSuffix:
          description: >-
            The street type suffix. Valid enumeration defined by Australia Post
            PAF code file
          type: string
        postalDeliveryType:
          description: >-
            Postal delivery type. (eg. PO BOX). Valid enumeration defined by
            Australia Post PAF code file
          type: string
        postalDeliveryNumber:
          description: Postal delivery number if the address is a postal delivery type
          type: integer
          x-cds-type: PositiveInteger
        postalDeliveryNumberPrefix:
          description: Postal delivery number prefix related to the postal delivery number
          type: string
        postalDeliveryNumberSuffix:
          description: Postal delivery number suffix related to the postal delivery number
          type: string
        localityName:
          description: Full name of locality
          type: string
        postcode:
          description: Postcode for the locality
          type: string
        state:
          description: >-
            State in which the address belongs. Valid enumeration defined by
            Australia Post PAF code file [State Type
            Abbreviation](https://auspost.com.au/content/dam/auspost_corp/media/documents/australia-post-data-guide.pdf).
            NSW, QLD, VIC, NT, WA, SA, TAS, ACT, AAT
          type: string
      required:
        - localityName
        - postcode
        - state
      type: object
    BankingFeeDiscountAmount:
      properties:
        amount:
          description: >-
            The specific amount discounted from the fee each time it is
            incurred.
          type: string
          x-cds-type: AmountString
      required:
        - amount
      type: object
    BankingFeeDiscountRate:
      properties:
        rateType:
          description: |
            Type of fee rate discount calculation.
              - `BALANCE` A fee rate discount based on a balance
              - `FEE` A fee rate discount based on the fee to which the discount is attached
              - `INTEREST_ACCRUED` A fee rate discount based on interest accrued
              - `TRANSACTION` A fee rate discount based on a transaction.
          enum:
            - BALANCE
            - FEE
            - INTEREST_ACCRUED
            - TRANSACTION
          type: string
        rate:
          description: The fee rate discount calculated according to the _rateType_.
          type: string
          x-cds-type: RateString
        amountRange:
          $ref: '#/components/schemas/BankingFeeDiscountRange'
      required:
        - rate
        - rateType
      type: object
    BankingProductDiscountEligibility:
      properties:
        discountEligibilityType:
          description: The type of the specific eligibility constraint for a discount
          enum:
            - BUSINESS
            - EMPLOYMENT_STATUS
            - INTRODUCTORY
            - MAX_AGE
            - MIN_AGE
            - MIN_INCOME
            - MIN_TURNOVER
            - NATURAL_PERSON
            - OTHER
            - PENSION_RECIPIENT
            - RESIDENCY_STATUS
            - STAFF
            - STUDENT
          type: string
        additionalValue:
          description: >-
            Generic field containing additional information relevant to the
            [discountEligibilityType](#tocSproductdiscounteligibilitydoc)
            specified. Whether mandatory or not is dependent on the value of
            [discountEligibilityType](#tocSproductdiscounteligibilitydoc)
          type: string
        additionalInfo:
          description: >-
            Display text providing more information on this eligibility
            constraint. Whether mandatory or not is dependent on the value of
            [discountEligibilityType](#tocSproductdiscounteligibilitydoc)
          type: string
        additionalInfoUri:
          description: >-
            Link to a web page with more information on this eligibility
            constraint
          type: string
          x-cds-type: URIString
      required:
        - discountEligibilityType
      type: object
      x-conditional:
        - additionalInfo
        - additionalValue
    BankingFeeDiscountRange:
      description: >-
        A minimum or maximum fee discount amount where a specific fixed amount
        is not known until the fee is incurred.
      properties:
        discountMinimum:
          description: The minimum fee discount that will be applied per occurrence.
          type: string
          x-cds-type: AmountString
        discountMaximum:
          description: The maximum fee discount that will be applied per occurrence.
          type: string
          x-cds-type: AmountString
      type: object
  securitySchemes:
    bearerAuth:
      description: >
        The Fiskil Data Provider will include a self-signed JWT as a Bearer
        token in the `Authorization` header.

        You should verify this JWT using the JWKS URL you can find for your Data
        Provider instance in the Fiskil

        Console. To verify the JWT you **must**:
          * Verify the signature
          * Ensure the token has not expired by checking the `exp` claim
          * The `sub` and `iss` claims are your data provider subdomain
          * The `aud` claim is the URI of the resource being requested (excluding any query parameters)
          * The `jti` value is unique
        For further detail on security and authentication refer to our
        [Authentication](/docs/get-started/authentication) documentation
      type: http
      scheme: bearer
      bearerFormat: JWT

````